## zaqar 5.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
falcon>=1.0.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
iso8601>=0.1.11 # MIT
keystonemiddleware>=4.12.0 # Apache-2.0
msgpack-python>=0.4.0 # Apache-2.0
python-memcached>=1.56 # PSF
WebOb>=1.7.1 # MIT
stevedore>=1.20.0 # Apache-2.0
six>=1.9.0 # MIT
oslo.cache>=1.5.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
trollius>=1.0 # Apache-2.0
autobahn>=0.10.1 # MIT License
requests>=2.14.2 # Apache-2.0
futurist!=0.15.0,>=0.11.0 # Apache-2.0

=== debian/changelog ===
zaqar (5.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 14:37:10 +0100

zaqar (5.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 22:14:30 -0400

zaqar (5.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:19:28 -0400

zaqar (5.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Aug 2017 09:29:23 -0400

zaqar (5.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:12:24 +0100

zaqar (5.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 14:40:35 +0100

=== debian/control ===
Source: zaqar
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
Build-Depends-Indep: mongodb,
                     python-alembic (>= 0.8.4),
                     python-autobahn (>= 0.10.1),
                     python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-ddt (>= 1.0.1),
                     python-enum34,
                     python-falcon (>= 0.1.6),
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-hacking (>= 0.10.0),
                     python-iso8601 (>= 0.1.11),
                     python-jsonschema (>= 2.0.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-memcache (>= 1.56),
                     python-mock (>= 2.0),
                     python-msgpack,
                     python-openstackdocstheme (>= 1.16.0),
                     python-os-api-ref (>= 1.0.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.context (>= 2.14.0),
                     python-oslo.db (>= 4.24.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.messaging (>= 5.25.0),
                     python-oslo.policy (>= 1.23.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-pymongo (>= 3.0.2),
                     python-redis (>= 2.10.0),
                     python-requests (>= 2.14.2),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.20.0),
                     python-swiftclient (>= 1:3.2.0),
                     python-tempest (>= 1:16.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-trollius (>= 1.0),
                     python-webob (>= 1.7.1),
                     python-websocket,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zaqar
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zaqar
Homepage: https://github.com/openstack/zaqar/
XS-Testsuite: autopkgtest

Package: python-zaqar
Section: python
Architecture: all
Depends: python-alembic (>= 0.8.4),
         python-autobahn (>= 0.10.1),
         python-babel (>= 2.3.4),
         python-enum34,
         python-falcon,
         python-futurist (>= 0.11.0),
         python-iso8601 (>= 0.1.11),
         python-jsonschema,
         python-keystonemiddleware (>= 4.2.0),
         python-memcache (>= 1.56),
         python-msgpack,
         python-oslo.cache (>= 1.5.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.context (>= 2.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.messaging (>= 5.25.0),
         python-oslo.policy (>= 1.23.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-osprofiler (>= 1.4.0),
         python-pymongo (>= 3.0.2),
         python-requests (>= 2.14.2),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.20.0),
         python-trollius,
         python-webob (>= 1.7.1),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Queueing as a Service - Python libraries
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains the Python libraries that are part of Zaqar.

Package: zaqar-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-zaqar (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack Queueing as a Service - common files
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Zaqar.

Package: zaqar-server
Architecture: all
Depends: adduser,
         debconf,
         q-text-as-data,
         zaqar-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Queueing as a Service - API server
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains the API server on which clients will connect.

## zaqar 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
falcon>=1.0.0 # Apache-2.0
jsonschema<3.0.0,>=2.6.0 # MIT
iso8601>=0.1.11 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
msgpack>=0.4.0 # Apache-2.0
python-memcached>=1.56 # PSF
WebOb>=1.7.1 # MIT
stevedore>=1.20.0 # Apache-2.0
six>=1.10.0 # MIT
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
trollius>=1.0 # Apache-2.0
autobahn>=0.10.1 # MIT License
requests>=2.14.2 # Apache-2.0
futurist>=1.2.0 # Apache-2.0

=== debian/changelog ===
zaqar (6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:54:34 -0500

zaqar (6.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/msgpack-python-compat.patch: Revert to use of msgpack-python
    module name until transition to msgpack is underway.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 08:36:10 -0500

zaqar (6.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 13:06:53 -0500

zaqar (6.0.0~b2-0ubuntu2) bionic; urgency=medium

  * d/rules, d/zaqar-common.postinst.in: Drop install of policy.json as
    default policies have been moved into code.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Dec 2017 09:10:57 -0500

zaqar (6.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/watch: Scope to Queens series.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Dec 2017 16:47:50 -0500

zaqar (6.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Nov 2017 14:36:05 -0500

=== debian/control ===
Source: zaqar
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 53~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 mongodb,
 python-alembic (>= 0.8.10),
 python-autobahn (>= 0.10.1),
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-enum34 (>= 1.0.4),
 python-falcon (>= 1.0.0),
 python-fixtures (>= 3.0.0),
 python-futurist (>= 1.2.0),
 python-hacking (>= 0.12.0),
 python-iso8601 (>= 0.1.11),
 python-jsonschema (>= 2.6.0),
 python-keystonemiddleware (>= 4.17.0),
 python-memcache (>= 1.56),
 python-mock (>= 2.0.0),
 python-msgpack (>= 0.4.0),
 python-openstackdocstheme (>= 1.17.0),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-pymongo (>= 3.0.2),
 python-pymysql (>= 0.7.6),
 python-redis (>= 2.10.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-tempest (>= 1:16.1.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-trollius (>= 1.0),
 python-webob (>= 1:1.7.1),
 python-websocket (>= 0.33.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zaqar
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zaqar
Homepage: https://github.com/openstack/zaqar/
XS-Testsuite: autopkgtest

Package: python-zaqar
Section: python
Architecture: all
Depends:
 python-alembic (>= 0.8.10),
 python-autobahn (>= 0.10.1),
 python-babel (>= 2.3.4),
 python-enum34 (>= 1.0.4),
 python-falcon (>= 1.0.0),
 python-futurist (>= 1.2.0),
 python-iso8601 (>= 0.1.11),
 python-jsonschema (>= 2.6.0),
 python-keystonemiddleware (>= 4.17.0),
 python-memcache (>= 1.56),
 python-msgpack (>= 0.4.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-pbr (>= 2.0.0),
 python-pymongo (>= 3.0.2),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-trollius (>= 1.0),
 python-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Queueing as a Service - Python libraries
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains the Python libraries that are part of Zaqar.

Package: zaqar-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-zaqar (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Description: OpenStack Queueing as a Service - common files
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Zaqar.

Package: zaqar-server
Architecture: all
Depends:
 adduser,
 debconf,
 q-text-as-data,
 zaqar-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack Queueing as a Service - API server
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 By installing python-zaqarclient you get programmatic access to the Zaqar v1.0
 API library. Plus, it installs a plugin to python-openstackclient that allows
 you to perform simple queue operations.
 .
 This package contains the API server on which clients will connect.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		bash -x ./debian/setup-test-env-mongodb.sh testr-python$$PYMAJOR run --subunit 'zaqar\.tests\.unit\.(?!.*transport\.websocket\.v2\.test_subscriptions\.SubscriptionTest\.test_subscription_sustainable_notifications_format.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-server.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-server.postinst

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build \
		debian/zaqar-common.postinst \
		debian/zaqar-common.config \
		debian/zaqar-server.postinst \
		debian/zaqar-server.config \
		debian/*.service debian/*.init debian/*.upstart

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
	dh_install --fail-missing
	mkdir -p $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf \
		--namespace zaqar.bootstrap \
		--namespace zaqar.common.configs \
		--namespace zaqar.storage.pipeline \
		--namespace zaqar.storage.pooling \
		--namespace zaqar.storage.mongodb \
		--namespace zaqar.storage.redis \
		--namespace zaqar.storage.sqlalchemy \
		--namespace zaqar.transport.wsgi \
		--namespace zaqar.transport.base \
		--namespace zaqar.transport.validation \
		--namespace keystonemiddleware.auth_token

	for i in zaqar-benchmark.conf logging.conf ; do \
		cp etc/$$i.sample $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/$$i ; \
	done
	cp etc/zaqar-benchmark-messages.json $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common

=== debian/tests/control ===
Tests: python-zaqar zaqar-daemons
Depends: python-zaqar, zaqar-common, zaqar-server
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/zaqar zaqar-(6\.\d.*)\.tar\.gz

## zaqar 7.0.0

=== requirements.txt ===
--- 
+++ 
@@ -9,13 +9,13 @@
 jsonschema<3.0.0,>=2.6.0 # MIT
 iso8601>=0.1.11 # MIT
 keystonemiddleware>=4.17.0 # Apache-2.0
-msgpack>=0.4.0 # Apache-2.0
+msgpack>=0.5.1 # Apache-2.0
 python-memcached>=1.56 # PSF
 WebOb>=1.7.1 # MIT
 stevedore>=1.20.0 # Apache-2.0
 six>=1.10.0 # MIT
 oslo.cache>=1.26.0 # Apache-2.0
-oslo.config>=5.1.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
@@ -28,7 +28,7 @@
 osprofiler>=1.4.0 # Apache-2.0
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
-trollius>=1.0 # Apache-2.0
-autobahn>=0.10.1 # MIT License
+trollius>=2.1;python_version=='2.7' # Apache-2.0
+autobahn>=0.17.1 # MIT License
 requests>=2.14.2 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
reno>=2.5.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
pymongo!=3.1,>=3.0.2 # Apache-2.0
redis>=2.10.0 # MIT

=== debian/changelog ===
zaqar (7.0.0-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 30 Aug 2018 22:51:51 +0000

zaqar (7.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-zaqar conflicts on each other.
    - d/python(3)-zaqar.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:46:55 -0400

zaqar (7.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/finished-fixing-upstream-tests.patch: Dropped. Fixed upstream.
  * d/p/skip-test.patch: Skip failing test.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 10:44:08 -0400

zaqar (7.0.0~b1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-zaqar package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      zaqar-common depends on python-zaqar by default and python3-zaqar
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-zaqar packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Add python(3)-pymongo run-time dependency.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/zaqar-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-zaqar.post*, d/python(3)-zaqar.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-zaqar.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for zaqar daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
  * d/watch: Scope to 7.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-trollius-from-requirements.txt.patch: Rebased.
  * d/p/Fix_assert_error_during_queue_creating_in_ut.patch: Dropped. Fixed
    in new upstream milestone.
  * d/control, d/p/remove-trollius-from-requirements.txt.patch: Add python-trollius
    to BDs for py2 only and drop patch as it's fixed in new upstream milestone.
  * d/p/finished-fixing-upstream-tests.patch: Updates to more tests and cherry-pick
    from upstream gerrit.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jun 2018 18:45:38 -0400

zaqar (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Blacklist broken tests:
    - websocket.v2.test_messages.MessagesBaseTest.test_post_multiple_2_False()
    - Many others not deterministic.
  * Add patch to add a MANIFEST.in to also package Alembic migrations.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 May 2018 08:34:09 +0000

zaqar (6.0.0-2) unstable; urgency=medium

  * Add upstream patch: Fix_assert_error_during_queue_creating_in_ut.patch and
    reactivate all tests.
  * Add finished-fixing-upstream-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Mar 2018 15:10:43 +0000

zaqar (6.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Switch to Python 3.
  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.
  * Add remove-trollius-from-requirements.txt.patch.
  * Blacklist tests failing under Python 3.6 (see:
    https://bugs.launchpad.net/zaqar/+bug/1753997):
    - test_claims.ClaimsBaseTest.test_default_ttl_and_grace
    - test_claims.ClaimsBaseTest.test_exceeded_claim
    - test_claims.ClaimsBaseTest.test_unacceptable_ttl_or_grace_1___1___1_
    - tes...Test.test_unacceptable_ttl_or_grace_2__59__60_
    - tes...Test.test_unsupported_json_1___overflow___9223372036854775808_
    - tes...Test.test_subscription_create

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 15:38:13 +0100

zaqar (5.0.0-3) unstable; urgency=medium

  [ David Rabel ]
  * Update fr.po (Closes: #885586).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 08:55:13 +0100

zaqar (5.0.0-2) unstable; urgency=medium

  * Updated it.po (Closes: #872730).

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 20:20:38 +0100

zaqar (5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove SQLAlchemy version patch.
  * Ran wrap-and-sort -bast.
  * Updating VCS URLs.
  * Standards-Version: 4.1.1.
  * Deprecating priority extra as per policy.
  * Fixed (build-)depends for this release.
  * Fixed oslo-config-generator namespace list for this release.
  * Remove export OSLO_PACKAGE_VERSION defined by openstack-pkg-tools.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Oct 2017 16:30:47 +0200

=== debian/control ===
Source: zaqar
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 70~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 mongodb,
 python-alembic (>= 0.8.10),
 python-autobahn (>= 0.17.1),
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-enum34 (>= 1.0.4),
 python-falcon (>= 1.0.0),
 python-fixtures (>= 3.0.0),
 python-futurist (>= 1.2.0),
 python-hacking (>= 0.12.0),
 python-iso8601 (>= 0.1.11),
 python-jsonschema (>= 2.6.0),
 python-keystoneclient (>= 1:1.6.0),
 python-keystonemiddleware (>= 4.17.0),
 python-memcache (>= 1.56),
 python-mock (>= 2.0.0),
 python-msgpack (>= 0.5.1),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslo.cache (>= 1.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-pymongo (>= 3.0.2),
 python-pymysql (>= 0.7.6),
 python-redis (>= 2.10.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-trollius (>= 1.0),
 python-webob (>= 1:1.7.1),
 python-websocket (>= 0.44.0),
 python3-alembic (>= 0.8.10),
 python3-autobahn (>= 0.17.1),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-falcon (>= 1.0.0),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-memcache (>= 1.56),
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 0.5.1),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-pymongo (>= 3.0.2),
 python3-pymysql (>= 0.7.6),
 python3-redis (>= 2.10.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-websocket (>= 0.44.0),
 subunit,
 tempest (>= 1:12.1.0),
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zaqar
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zaqar
Homepage: https://github.com/openstack/zaqar/
Testsuite: autopkgtest-pkg-python

Package: python-zaqar
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python-alembic (>= 0.8.10),
 python-autobahn (>= 0.17.1),
 python-babel (>= 2.3.4),
 python-enum34 (>= 1.0.4),
 python-falcon (>= 1.0.0),
 python-futurist (>= 1.2.0),
 python-iso8601 (>= 0.1.11),
 python-jsonschema (>= 2.6.0),
 python-keystoneclient (>= 1:1.6.0),
 python-keystonemiddleware (>= 4.17.0),
 python-memcache (>= 1.56),
 python-msgpack (>= 0.5.1),
 python-oslo.cache (>= 1.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-pbr (>= 2.0.0),
 python-pymongo (>= 3.0.2),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-trollius (>= 1.0),
 python-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Queueing as a Service - Python 2.7 libraries
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the Python 2.7 libraries that are part of Zaqar.

Package: python3-zaqar
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-autobahn (>= 0.17.1),
 python3-babel (>= 2.3.4),
 python3-falcon (>= 1.0.0),
 python3-futurist (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-memcache (>= 1.56),
 python3-msgpack (>= 0.5.1),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-pbr (>= 2.0.0),
 python3-pymongo (>= 3.0.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Queueing as a Service - Python 3.x libraries
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the Python 3.x libraries that are part of Zaqar.

Package: zaqar-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-zaqar (= ${binary:Version}) | python3-zaqar (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Queueing as a Service - common files
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Zaqar.

Package: zaqar-server
Architecture: all
Depends:
 adduser,
 debconf,
 q-text-as-data,
 zaqar-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Queueing as a Service - API server
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the API server on which clients will connect.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,systemd

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build \
		debian/zaqar-common.postinst \
		debian/zaqar-common.config \
		debian/zaqar-server.postinst \
		debian/zaqar-server.config \
		debian/*.service debian/*.init debian/*.upstart
	rm -rf debian/*.templates debian/po

override_dh_auto_clean:
	python2 setup.py clean
	python3 setup.py clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-server.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func zaqar-server.postinst
	pkgos-merge-templates zaqar-server zaqar endpoint
	pkgos-merge-templates zaqar-common zaqar rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	bash -x ./debian/setup-test-env-mongodb.sh pkgos-dh_auto_test 'zaqar\.tests\.unit.(?!(.*transport\.websocket\.v2\.test_messages\.MessagesBaseTest\.test_post_multiple_2_False.*|.*transport\.websocket\.v2\.test_claims.*|.*transport\.websocket\.v2\.test_queue_lifecycle\.QueueLifecycleBaseTest\.test_list.*|.*transport\.websocket\.v2\.test_subscriptions\.SubscriptionTest\.test_subscription.*|.*transport\.websocket\.v2\.test_messages\.MessagesBaseTest.*))'
	#(?!(.*transport\.websocket\.v2\.test_subscriptions\.SubscriptionTest\.test_subscription_sustainable_notifications_format.*|.*transport\.websocket\.v2\.test_messages\.MessagesBaseTest\.test_unsupported_json_1___overflow___9223372036854775808_.*|.*transport\.websocket\.v2\.test_subscriptions\.SubscriptionTest\.test_subscription_create.*))'
endif

	mkdir -p $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common
	PYTHONPATH=$(CURDIR)/debian/python3-zaqar/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf \
		--wrap-width 140 \
		--namespace zaqar.common.auth \
		--namespace zaqar.common.configs \
		--namespace zaqar.storage.pipeline \
		--namespace zaqar.storage.pooling \
		--namespace zaqar.storage.mongodb \
		--namespace zaqar.storage.redis \
		--namespace zaqar.storage.sqlalchemy \
		--namespace zaqar.storage.swift \
		--namespace zaqar.transport.wsgi \
		--namespace zaqar.transport.websocket \
		--namespace zaqar.transport.base \
		--namespace zaqar.transport.validation \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.cache \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace osprofiler \
		--namespace oslo.policy \
		--namespace oslo.reports
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/zaqar.conf keystone_authtoken zaqar

	PYTHONPATH=$(CURDIR)/debian/python3-zaqar/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/policy.json \
		--format json \
		--namespace zaqar

	dh_install
	dh_missing --fail-missing

	for i in zaqar-benchmark.conf logging.conf ; do \
		cp etc/$$i.sample $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common/$$i ; \
	done
	cp etc/zaqar-benchmark-messages.json $(CURDIR)/debian/zaqar-common/usr/share/zaqar-common

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: zaqar-daemons, zaqar-shebangs-py3
Depends: python3-zaqar, zaqar-common, zaqar-server
Restrictions: needs-root

Tests: zaqar-daemons, zaqar-shebangs-py2
Depends: zaqar-common, zaqar-server
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/zaqar zaqar-(7\.\d.*)\.tar\.gz
